k8s_mariadbop_chart_version: "0.37.1"
k8s_mariadbop_helm_chart_repo: "https://helm.mariadb.com/mariadb-operator"
k8s_mariadbop_helm_chart_crds: "mariadb-operator-crds"
k8s_mariadbop_helm_chart: "mariadb-operator"
k8s_mariadbop_helm_install_namespace: "{{ in_mariadbop_install_namespace | default('mariadboperator') }}"
k8s_mariadbop_namespace: "{{ in_mariadbop_namespace | mandatory('`in_mariadbop_namespace` definition is mandatory') }}"
k8s_mariadbop_rootpassword: "{{ in_mariadbop_rootpassword | mandatory('`in_mariadbop_rootpassword` definition is mandatory') }}"
k8s_mariadbop_storagesize: "{{ in_mariadbop_storagesize | default('2Gi') }}"
k8s_mariadbop_storageclassname: "{{ in_mariadbop_storageclassname | default('block') }}"
k8s_mariadbop_backup_storageclassname: "{{ in_mariadbop_backup_storageclassname | default('nfss1') }}"
k8s_mariadbop_password: ""
k8s_mariadbop_tangopassword: ""
k8s_mariadbop_create_tango: "{{ in_mariadbop_create_tango | default('false') }}"
k8s_mariadbop_databaseds_enabled: "{{ in_mariadbop_databaseds_enabled | default('false') }}"
k8s_mariadbop_databaseds_lb_ip: ""
k8s_mariadbop_instances: "{{ in_mariadbop_instances | default(3) }}"
k8s_mariadbop_backup_size: "{{ in_mariadbop_backup_size | default('1G') }}"
k8s_mariadbop_service_account: "{{ in_mariadbop_service_account | mandatory('`in_mariadbop_service_account` definition is mandatory') }}"
k8s_mariadbop_vault_path: "{{ in_mariadbop_vault_path | default() }}"
k8s_mariadbop_vault_server: "{{ in_mariadbop_vault_server | default() }}"
k8s_mariadbop_vault_role: "{{ in_mariadbop_vault_role | mandatory('`in_mariadbop_vault_role` definition is mandatory') }}"
k8s_mairadbop_kubeconfig: "{{ in_mariadbop_kubeconfig | default('/etc/kubernetes/admin.conf') }}"
k8s_mariadbop_dc: "{{ in_mariadbop_dcoverride | default() }}"
k8s_mariadbop_clustername: "{{ k8s_mariadbop_dc }}.internal.skao.int"
k8s_mariadbop_uninstall: true
k8s_mariadbop_name: "{{ in_mariadbop_name | default('mariadb') }}"
k8s_mariadbop_dbname: "{{ in_mariadbop_dbname }}"
k8s_mariadbop_dbusername: "{{ in_mariadbop_dbusername | default('') }}"
k8s_mariadbop_dbuserpassword: "{{ in_mariadbop_dbuserpassword }}"
k8s_mariadbop_dbcharset: "{{ in_mariadbop_dbcharset | default('utf8') }}"
k8s_mariadbop_dbcollate: "{{ in_mariadbop_dbcollate | default('utf8_general_ci') }}"
k8s_mariadbop_tz: "{{ in_mariadbop_tz | default('SYSTEM') }}"
k8s_mariadbop_antiaffinity: "{{ in_mariadbop_antiaffinity | default('false') }}"
k8s_mariadbop_metrics: "{{ in_mariadbop_metrics | default('false') }}"
k8s_mariadbop_galera: "{{ in_mariadbop_galera | default('true') }}"
k8s_mairadbop_storage_default_size: "{{ in_mariadbop_storage_default_size | default('2Gi') }}"
